> ## Name

> cgGLEnableProfile - enable a profile within OpenGL

> ## Synopsis

>     #include <Cg/cgGL.h>

>     void cgGLEnableProfile( CGprofile profile );

> ## Parameters

> profile
>   The enumerant for the profile to enable.

> ## Return Values

> None.

> ## Description

> cgGLEnableProfile enables a profile by making the necessary OpenGL calls. For most profiles, this will simply make a call to glEnable with the approriate enumerant.

> ## Examples

> to-be-written

> ## Errors

> CG_INVALID_PROFILE_ERROR is generated if profile is not a supported OpenGL profile.

> ## History

> cgGLEnableProfile was introduced in Cg 1.1.

> ## See Also

> cgGLDisableProfile